<template>
  <img
    :src="src || placeholder"
    alt="image"
    loading="lazy"
    @error="$event.target.src = placeholder"
  />
</template>

<script>
export default {
  props: {
    src: {
      type: String,
      default: "",
    },
  },
  data() {
    return {
      placeholder: require("~/assets/images/placeholder_image.webp"),
    };
  },
};
</script>

<style lang="scss" scoped>
img {
  object-fit: cover;
}
</style>
